Bug 120499 - (FIREWIRE) pcmcia card freeze
(FIREWIRE) pcmcia card freeze
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Depends On:
  Show dependency treegraph
Reported: 2004-04-09 10:17 EDT by David
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-25 15:33:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David 2004-04-09 10:17:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040404 Firefox/0.8

Description of problem:
Inserting or ejecting a PCMCIA card sometimes freezes the system.
PCMCIA card is an ATEN firewire cardbus card, type PF-103. Another
card (3Com wireless LAN Prism54 never freezes the system). In
/var/log/messages I get the message: 
Voltage interrogation timed out

System info:
IBM R40 2681 laptop
Fedora Core 2 test 2
kernel 2.5.6-1.308
pcmcia-cs 3.2.7-1.5
kernel options: rhgb quiet acpi=on resume=/dev/hda3

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Insert ATEN card or Eject it
2. Run cardctl insert 0 when the card is in the 

Actual Results:  Sometimes the system freezes on card insert
Sometimes there is a hard reboot on card eject

Expected Results:  Card should work or be ignored

Additional info:
Comment 1 David 2004-04-15 05:48:05 EDT
Upgraded to kernel 2.6.5-1.319 did not fix the problem. 
THe card works on another laptop with redhat 8 installed, but only
when there is an external power source for the firewire disk,
otherwise it also hangs or reboots the laptop.

It seems therefore that the message about voltage interrogation could
be related to the problem.
Comment 2 Matthew Miller 2005-04-26 12:05:02 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 John Thacker 2006-10-25 15:33:34 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.

Note You need to log in before you can comment on or make changes to this bug.